echo OFF

rem INSTALL      for v1.666
rem INSTALL 0    for v1.2
 

echo.      ************************************
echo.      *    ALIENS Total Conversion       *
echo.      *                                  *
echo.      *        by Justin Fisher          *
echo.      *                                  *
echo.      ************************************
echo.
echo.   Secret level by Richard Love
echo.   New Installation by Olivier Montanuy
echo.
echo.   ************ Good News *************
echo.   You won't need to uninstall ALIEN TC
echo.   DOOM will still work as usual
echo.
echo.   ************ Bad News ****************
echo.   Installation still requires about 2 additional megs
echo.
echo.   Beside DeHackEd (and DMSTR for DOOM 1.2) this install uses 
echo.   DeuSF, a powerfull tool to regenerate sprite and flats PWADS. 
echo.   Look for the last version of DeuTex/DeuSF on infant2.   
echo.
pause

echo This batch is for Registered version:
if "%1%" == "0" goto vv12
echo.   *** DOOM 1.666 ***
goto vvend
:vv12
echo.    *** DOOM 1.2 ***
goto vvend
:vvend
echo. hit CTRL-C now  if this is incorrect.
pause

echo. DOOM.EXE and DOOM.WAD must be in that directory

pause
goto save
:missfile
echo. Error: A file is Missing from the archives
exit
:fail
echo Error: Can't Find DOOM files
exit

:save
if not exist DEHACKED.INI goto save2
echo WARNING: existing file DEHACKED.INI could compromise
echo that installation. Remove that file please.
exit

:save2

if not exist DOOM.EXE goto fail
if not exist DOOM.WAD goto fail
echo Temporarily saving DOOM.EXE as DOOM1.EXE
echo This uses about 600K of disk space
pause
copy DOOM.EXE DOOM1.EXE

echo Checking ALITCWAD.WAD
if not exist ALITCWAD.WAD goto missfile
echo Checking ALITCSND.WAD
if not exist ALITCSND.WAD goto missfile
echo Checking ALITCSF.WAD
if not exist ALITCSF.WAD goto missfile
echo Checking DEHACKED.EXE
if not exist DEHACKED.EXE goto missfile


if "%1%" == "0" goto version12
rem
rem V1.666 V2
rem
echo Checking ALITCP16.DEH
if not exist ALITCP16.DEH goto missfile
echo applying patch for 1.666
pause
Dehacked -load alitcp16.deh
if not ERRORLEVEL 0             goto failp
goto rename
rem
rem  V1.2
rem
:version12
echo Checking ALITCP12.DEH
if not exist ALITCP12.DEH goto missfile
echo Applying dehached patch for DOOM 1.2
pause
Dehacked -load alitcp12.DEH
if not ERRORLEVEL 0             goto failp
echo Checking ALITCS12.DEH
if not exist ALITCS12.DEH goto missfile
echo applying string patch for DOOM 1.2
pause
DMStr alitcs12.str
if not ERRORLEVEL 0             goto failp
goto rename

:failp
ren DOOM1.EXE DOOM.EXE
echo *********
echo * ERROR *
echo *********
echo An error occured.
echo  Do you use the right DOOM version?
echo  Is your DOOM version registered?
echo  did you have enough disk space?
exit



:rename
echo Changing .EXE name
pause
if exist ALIENTC.EXE del ALIENTC.EXE
ren DOOM.EXE ALIENTC.EXE
ren DOOM1.EXE DOOM.EXE
echo Modified DOOM.EXE is now ALIENTC.EXE

rem
rem Sprite and Flat PWAD
rem  install compatible 1.2 and 1.666 and maybe DOOM2
rem
echo Creating new sprite and flat PWAD with DeuSF
echo This uses about 1.5 more meg of disk space.
pause
echo Checking alitcsf.wad
if not exist alitcsf.wad goto missfile
echo Appending sprites&flats to alitcsf.wad.
echo This may take a minute or so.

rem REM those lines if you do not want to append DOOM sprites
rem to alitcsf.wad
rem
DeuSF -app alitcsf.wad > alitcsf.log
if not ERRORLEVEL 0             goto failsf

rem unREM those lines if you want to create a completely new PWAD,
rem like DMADDS did.
rem
rem    move alitcsf.wad alitcsf2.wad
rem    DeuSf -add alitcsf2.wad alitcsf.wad
rem    if not ERRORLEVEL 0             goto failsf


rem Restoration
rem
echo To restore AlienTC sprite file:  DeuSF -res alitcsf.wad
goto fini

:failsf
echo *********
echo * ERROR *
echo *********
echo An error occured during sprite and flat generation.
echo Did you have enough disk space?
echo Else that could mean there was a bug in my DeuSF.EXE.
echo If this is confirmed, mail me your bitter
echo disapointment together with the file ALITCSF.LOG
echo    Really sorry for the inconvenience.
echo      O.Montanuy (montanuy@dmi.ens.fr)
exit


:fini
echo. finished!
echo. PWAD Files:
echo.   alitcsnd.wad = sounds
echo.   alitcwad.wad = levels demo graphics patches
echo.   alitcsf.wad = all the sprites flats
echo.
echo. play with ALIENTC.EXE -file alitcsnd.wad alitcwad.wad alitcsf.wad
echo. or simply type ALIEN.

